### Signal

# Gio DBusObjectManagerClient::interface-proxy-signal

since: 2.30

#### Declaration

    void
    interface_proxy_signal (
      GDBusObjectManagerClient* self,
      GDBusObjectProxy* object_proxy,
      GDBusProxy* interface_proxy,
      gchar* sender_name,
      gchar* signal_name,
      GVariant* parameters,
      gpointer user_data
    )

#### Description [src]

Emitted when a D-Bus signal is received on `interface_proxy`.

This signal exists purely as a convenience to avoid having to connect signals to all interface proxies managed by `manager`.

This signal is emitted in the thread-default main context (see `g_main_context_push_thread_default()`) that `manager` was constructed in.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.30

#### Parameters

`object_proxy`

  Type: `GDBusObjectProxy`

  The `GDBusObjectProxy` on which an interface is emitting a D-Bus signal.

  The data is owned by the caller of the function.

`interface_proxy`

  Type: `GDBusProxy`

  The `GDBusProxy` that is emitting a D-Bus signal.

  The data is owned by the caller of the function.

`sender_name`

  Type: `gchar*`

  The sender of the signal or NULL if the connection is not a bus connection.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`signal_name`

  Type: `gchar*`

  The signal name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  A `GVariant` tuple with parameters for the signal.

  The data is owned by the caller of the function.